{% extends 'base.html' %}
{% load static %}

{% block content %}
<div class="bg-float" id="home">
  <div class="ultra-txt wed-txt white">
    Our Story
  </div>
  <br>
  <center>
    <div class="story-txt white simple-txt" style="width: 60%">
      Our first met was at Cubao Gateway Mall Timezone Arcade,<br>
      After hours of playing,<br>
      I accompanied her buying photopaper at national bookstore
      but until now it is unused. LOL.<br>
      After months of texting, calling, chatting We started dating.<br>
      Years later, we're each others' best friends, true lovers,
      and badass partners in life.
      <br>
      We're finally ready to make it official! 
    </div>
  </center>
</div>
<div id="event">
  <div class="wed-txt padded">
    <br>
    <br>
    <h4 align="center">SAVE THE DATE</h4>
    <br>
    <h1 class="semi-ultra-txt">OCTOBER 23, 2020</h1>
    <br>
    <br>
    <br>
    <br>
  </div>
  <div class="bg-nav">
    <h1 class="semi-ultra-txt wed-txt white title-detail-txt bold">Wedding Settings</h1>
    <center><button class="shadow btn-custom btn btn-primary simple-txt" data-toggle="modal" data-target="#myModal">View Invitation</button></center>
    <br>
    <h4 class="simple-txt white center bold detail-txt">
      Reception will be held at Purok 2, Barangay Lagare,<br>
      Cabanatuan City, Nueva Ecija
      <br>
      October 23, 2020
      <br>
      1 o'clock in the afternoon
    </h4>
    <br>
    <center><div id='map' style='width: 80%; height: 450px; border-radius: 15px;'></div></center>
  </div>
</div>
<div id="sponsors">
  <div class="container">
    <br>
    <br>
    <h1 class="semi-ultra-txt style-txt sponsor-txt">Principal Sponsors</h1>
    <h4 class="style-txt center sub-sponsor-txt">To stand as witnesses to our Vows</h4>
    <hr width="50%">
    <br>
    <div class="right pull-left names no-pad" style="width: 50%;">
      <ul>
        <li class="style-txt"><h4>Mr. Venancio Rivera Sr.</h4></li>
        <li class="style-txt"><h4>Mr. Jojo Bacani</h4></li>
        <li class="style-txt"><h4>Mr. Eduardo Evangelista</h4></li>
        <li class="style-txt"><h4>Mr. Policarpio De Jesus</h4></li>
        <li class="style-txt"><h4>Mr. Eduardo Danding Antonio</h4></li>
        <li class="style-txt"><h4>Mr. Almario Ramirez</h4></li>
      </ul>
    </div>
    <div class="pull-right names no-pad" style="width: 50%;">
      <ul>
        <li class="style-txt"><h4>Mrs. Paz Ducha Flores</h4></li>
        <li class="style-txt"><h4>Ms. Estelita Isabel ValdeAvilla</h4></li>
        <li class="style-txt"><h4>Mrs. Marife Cadiz</h4></li>
        <li class="style-txt"><h4>Mrs. Anita Cabalce</h4></li>
        <li class="style-txt"><h4>Mrs. Imelda Vicente</h4></li>
        <li class="style-txt"><h4>Mrs. Henrieta Narvaez</h4></li>
      </ul>
    </div>
  </div>
  <br>
  <br>
  <br>
</div>

<!-- Modal -->
<div class="modal fade" id="myModal" role="dialog">
  <div class="modal-dialog">
  
    <!-- Modal content-->
    <div class="modal-content" style="padding: 200px 0;">
      <img src="{% static 'images/invitation.png' %}" width="700px">
    </div>
    
  </div>
</div>

{% endblock content %}

{% block js %}
  <script type="text/javascript">
  $(document).ready(function() {

    // maps
    mapboxgl.accessToken = 'pk.eyJ1IjoiamF6enIzIiwiYSI6ImNrZ2J5MjdqYzBsZjgyc28zMGV5d3FmeGgifQ.E10OOW1X6wz-AMJbZRQp1A';
    var map = new mapboxgl.Map({
      container: 'map',
      style: 'mapbox://styles/mapbox/outdoors-v11',
      center: [121.011255, 15.513124],
      zoom: 15,
    });

    map.addControl(new mapboxgl.NavigationControl());
    map.addControl(new mapboxgl.FullscreenControl());

    var marker = new mapboxgl.Marker().setLngLat(
      [121.011255, 15.513124]
    ).addTo(map);

    $('#myModal').on('click', function(){
      $(this).modal('hide');
    });

      $(window).scroll(function() {
          if ($(document).scrollTop() > 150) {
            $('.story-txt').fadeIn('slow');
            $('.ultra-txt').addClass('black')
          }
          else {
            $('.story-txt').fadeOut('slow');
            $('.ultra-txt').removeClass('black')
          }
      });

      $(window).scroll(function() {
          if ($(document).scrollTop() > 730) {
            $('.title-detail-txt').fadeIn('slow');
          }
          else {
            $('.title-detail-txt').fadeOut('slow');
          }
      });

      $(window).scroll(function() {
          if ($(document).scrollTop() > 800) {
            $('.btn-custom').fadeIn('slow');
          }
          else {
            $('.btn-custom').slideUp('slow');
          }
      });

      $(window).scroll(function() {
          if ($(document).scrollTop() > 950) {
            $('.detail-txt').fadeIn('slow');
          }
          else {
            $('.detail-txt').fadeOut('slow');
          }
      });

      $(window).scroll(function() {
          if ($(document).scrollTop() > 1050) {
            $('#map').fadeIn('slow');
          }
          else {
            $('#map').fadeOut('slow');
          }
      });

      $(window).scroll(function() {
          if ($(document).scrollTop() > 1650) {
            $('.sponsor-txt').fadeIn('slow');
          }
          else {
            $('.sponsor-txt').fadeOut('slow');
          }
      });

      $(window).scroll(function() {
          if ($(document).scrollTop() > 1700) {
            $('.sub-sponsor-txt').fadeIn('slow');
          }
          else {
            $('.sub-sponsor-txt').fadeOut('slow');
          }
      });

      $(window).scroll(function() {
          if ($(document).scrollTop() > 1730) {
            $('hr').fadeIn('slow');
          }
          else {
            $('hr').fadeOut('slow');
          }
      });

      $(window).scroll(function() {
          if ($(document).scrollTop() > 1950) {
            $('.names').fadeIn('slow');
          }
          else {
            $('.names').fadeOut('slow');
          }
      });

      // slow scrolling
      $(document).on('click', 'a[href^="#"]', function (event) {
        event.preventDefault();

        $('html, body').animate({
            scrollTop: $($.attr(this, 'href')).offset().top
        }, 1700);
      });
    });
  </script>
{% endblock js %}
